Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 06 Jul 2015, 07:37
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Xvkbd: Virtual keyboard
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 2 of 2 [21 Posts]   Goto page: Previous 1, 2
Author Message
rufwoof

Joined: 24 Feb 2014
Posts: 644

PostPosted: Thu 13 Mar 2014, 12:06    Post subject:  

Installed xvkbd today into Puppy Slacko 5.7

/etc/X11/app-defaults is where the config files are. I copied XVkbd-uk to XVkbd so that xvkbd defaults to a UK keyboard layout (I also used the flag coloured version)

Also added xvkbd.windowGeometry: 800x260 at the end of the file to enlarge the keyboard more to my liking
Screenshot_2014-03-13_162241.png
 Description   
 Filesize   168.27 KB
 Viewed   780 Time(s)

Screenshot_2014-03-13_162241.png

Back to top
View user's profile Send private message 
Pelo


Joined: 10 Sep 2011
Posts: 4753
Location: Mer méditerrannée (1 kms°)

PostPosted: Sun 13 Apr 2014, 08:45    Post subject: Puppy Badass y PupJibaro : como escribir sin faltas ?
Subject description: Use XVKBD, el teclado Puppy !
 

Thanks to xvkbd, we can easily write Spanish con las tildes y otras palabras So usual in South America. Their Puppies are pretty, but my keyboard is AZERTY,
aqui esta el teclado.

Pls could you precise how you enlarge the keyboard, por favor ?

_________________
Root is the glass, Pelo wants the wine.
Back to top
View user's profile Send private message Yahoo Messenger 
sindi

Joined: 16 Aug 2009
Posts: 444

PostPosted: Tue 28 Apr 2015, 10:50    Post subject: xvkbd 3.2 in pulp linux (4.1.2)
Subject description: also not working
 

I got the posted 3.1 version to work with the two added libraries
in lupu 5.2.5, and then the 3.2 version included with puppeee
(for Asus eeepc) which needs no added libs in lupu 5.2.5 or pulp
(puppy 4.1.2) and I tested 3.2 in lupu 5.2.5 and pulp. First click
focus, then the terminal where you want to type, then the key(s).
I did not test 3.1. There is also a 3.5 package but it needs two
added libraries even in lupu 5.2.5.
3.1 needs libXp and libXaw3d.so.8
3.2 needs libXaw.so.7 (found in pulp and lupu 5.2.5)
3.5 needs libXaw.so.8 (not in either)

3.2 corrects a missing vertical line left of the number pad.

I did not 'install' but simply copied the binary (and for 3.1
the libs - and symlinked them). I can put xvkbd into
/etc/rc.d/rc.locale to start up on a 650MHz laptop with some bad keys
and only 256MB RAM that I set up for a 10 year old neighbor.
And also add it to the jwm menu in case he loses it.

Since the xvkbd from puppeee (2010, kernel 2.6.33) works, I will
try the games from it in pulp. The neighbor is into games.
Back to top
View user's profile Send private message 
gcmartin


Joined: 14 Oct 2005
Posts: 5164
Location: Earth

PostPosted: Tue 28 Apr 2015, 18:06    Post subject: Can PET for version 3.5 be available?  

I am looking for version 3.5 in a "modern" PUP distro. Namely, PET to work in LxPUP,TahrPUP, or Vivid or Slacko6. Dependencies?

And PET(s) for any of the 64bit PUPs.

This allows not only to get around bad keyboard, but also has touchscreen use, and etc.

I think what is needed to here.

Thanks in advance, if possible.

_________________
Get ACTIVE Create Circles; Do those good things which benefit people's needs!
We are all related ... Its time to show that we know this!
3 Different Puppy Search Engine or use DogPile
Back to top
View user's profile Send private message 
amigo

Joined: 02 Apr 2007
Posts: 2380

PostPosted: Wed 29 Apr 2015, 14:20    Post subject:  

Say, gc, you could always do:
src2pkg url-of-source
That would make you independent of other packagers... Just kidding, old boy.
Back to top
View user's profile Send private message 
greengeek

Joined: 20 Jul 2010
Posts: 3158
Location: New Zealand

PostPosted: Wed 27 May 2015, 05:07    Post subject: Re: Can PET for version 3.5 be available?  

gcmartin wrote:
I am looking for version 3.5 in a "modern" PUP distro. Namely, PET to work in LxPUP,TahrPUP, or Vivid or Slacko6. Dependencies
Hi GC, did you find what you were looking for? I did make a v3.5 pet based on a version by Medor - it seems to have no dependencies on pups from wary through to Slacko 5.6 so may be suitable for the newer pups too. This pet is a cutdown version as i wanted a small keyboard to save screen area and I only neded english version, but maybe it is worth a try?
Download here
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 2 of 2 [21 Posts]   Goto page: Previous 1, 2
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0596s ][ Queries: 12 (0.0071s) ][ GZIP on ]